xmakemol (5.16-10build1) lunar; urgency=medium

  * No-change rebuild against freeglut3.12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 28 Nov 2022 23:35:15 +0000

xmakemol (5.16-10) unstable; urgency=medium

  * Team Upload.
  [ Daniel Leidert ]
  * debian/watch: Fixed.
  * Fix Vcs-* fields in debian/control after migrating package to Git.

  [ Nilesh Patra ]
  * Add gitlab-ci.yml
  * Add patch to fix gcc-10 FTBFS (Closes: #957987)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 21:09:24 +0530

xmakemol (5.16-9) unstable; urgency=medium

  * debian/patches/fix_vectors_on_atoms.patch: New patch, makes vectors on
    atoms properly start from the atom's surface provided atoms are displayed.
  * debian/control (Standards-Version): Bumped to 3.9.6.

 -- Michael Banck <mbanck@debian.org>  Wed, 23 Mar 2016 21:01:02 +0100

xmakemol (5.16-8) unstable; urgency=low

  * debian/patches/print_torsions.patch: New patch, prints torsions to 8 digits
    precision to stdout, for debugging purposes.
  * debian/patches/h-bond.patch: Improved hydrogen bond handling, taken from
    upstream bug #24918, by Mikael Johansson.
  * debian/patches/h-bond-factor.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Jan 2016 16:11:02 +0100

xmakemol (5.16-7) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Build-Depends): Added autotools-dev. Replaced libgl1-mesa-swx11-dev by
    libgl1-mesa-dev, lesstif2-dev by libmotif-dev (closes: #714740, #714447).
    (Standards-Version): Bumped to 3.9.4.
    (DM-Upload-Allowed): Dropped.
  * debian/rules: Use autotools_dev addon, fix outdated-autotools-helper-file.
    Enable hardening.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Wed, 04 Sep 2013 22:10:41 +0200

xmakemol (5.16-6) unstable; urgency=low

  * debian/compat: Increased compatibility level to 7.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Increased dh version. Dropped dpatch.
    (Vcs-Browser): Fixed.
    (Description): Fixed description-synopsis-starts-with-article.
  * debian/copyright: Minor update.
  * debian/rules: Rewritten for dh 7.
  * debian/patches/03_h-bond-factor.dpatch: Renamed to
    debian/patches/h-bond-factor.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/source/format: Changed to 3.0 quilt (closes: #664319).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 10 Jun 2012 19:13:19 +0200

xmakemol (5.16-5) unstable; urgency=low

  * debian/control (Build-Depends): Added dpatch.
  * debian/rules: Include /usr/share/dpatch/dpatch.make and let the
    build-stamp target depend on patch-stamp.
  * debian/patches/03_h-bond-factor.dpatch: New patch, decrease hydrogen bond
    factor so intramolecular h-bonds are less likely to be displayed.

 -- Michael Banck <mbanck@debian.org>  Wed, 14 Jul 2010 18:10:00 +0200

xmakemol (5.16-4) unstable; urgency=low

  * debian/control: Bumped to 3.8.3.
    (Vcs-Svn): Fixed.
    (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/rules (%/config.status): Fix configure options for OpenGL-enabled
    build - a bug introduced by myself in 5.16-2 (closes: #548124).
    (binary-arch): Removed deprecated dh_desktop.
  * debian/xmakemol.desktop: Removed Icon field because of non-existent icon
    (closes: #547966).
  * debian/xmakemol.doc-base,
    debian/xmakemol-gl.doc-base: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 25 Sep 2009 03:03:32 +0200

xmakemol (5.16-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control (Description): Fixed duplicate-short-description.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 15 Feb 2009 20:54:55 +0100

xmakemol (5.16-2) experimental; urgency=low

  * debian/control: Vcs fields transition. The xmakemol-gl package has been
    downgraded to priority extra to fix a violation of section 2.5 of the
    Debian policy (thanks to debcheck). Added DM-Upload-Allowed.
    (Maintainer): Set to the debichem team address. Moved Michael to
    Uploaders.
    (Uploaders): Removed LI. Thanks for your work!
    (Standards-Version): Updated to 3.8.0.
    (Vcs-Svn): Set to experimental location.
  * debian/copyright: Updated.
  * debian/dirs: Removed (useless).
  * debian/docs: Ditto.
  * debian/xmakemol-gl.dirs: Ditto.
  * debian/xmakemol-gl.docs: Ditto.
  * debian/menu: Renamed to debian/xmakemol.menu.
  * debian/xmakemol.desktop: Added .desktop file based on Ubuntu version.
  * debian/README.Debian: Renamed to debian/xmakemol.README.Debian, updated
    and copied to debian/xmakemol-gl.README.Debian.
  * debian/rules: Rewrote some target stuff using implicit rules to reduce
    target sizes.
    (clean): Made it slightly easier.
    (binary-arch): Reordered calls a bit. Removed the argument to
    dh_installman. Install docs to all binary packages. Install .desktop
    files.
  * debian/watch: Fixed.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 31 Jan 2009 00:53:13 +0100

xmakemol (5.16-1) unstable; urgency=low

  * New upstream release 5.16.

  [ Daniel Leidert ]
  * debian/control: Homepage field transition.
    (Uploaders): Added LI and myself.
  * debian/rules: Massive updates for a cleaner autotools-feature usage.
  * debian/watch: Added.

  [ LI Daobing ]
  * debian/control:
    - build depends on libglw1-mesa-dev
    - depends on debhelper (>= 5)
    - bump policy version to 3.7.2
    - add homepage to description.
    - remove depends on dpatch
  * debian/rules:
    - lintian doesn't like "-$(MAKE) clean", see bug#325372
    - do not try install ChangeLog.
    - remove DH_COMPAT
    - install /usr/bin/xmake_anim.pl as /usr/bin/xmake_anim
    - remove depends on dpatch
  * debian/patches/02_glutInit.dpatch: deleted.
  * debian/patches/00list: deleted.
  * debian/patches: deleted.
  * debian/compat: added.
  * debian/menu: update section.
  * debian/xmakemol-gl.menu: update section.
  * debian/README.Debian: explain why xmake_anim.pl is renamed.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 24 Sep 2007 14:34:50 +0200

xmakemol (5.15-2) unstable; urgency=medium

  * Urgency medium due to fix for bug which severly decreases the
    usefulness of xmakemol-gl.
  * debian/patches/02_glutInit.dpatch: New patch, taken from upstream
    CVS: Call glutInit() before other GLUT functions; closes: #344369.
  * debian/patches/00list (02_glutInit): Added.
  * debian/control (Build-Depends): Changed libglut3-dev to
    freeglut3-dev; closes: #394507.

 -- Michael Banck <mbanck@debian.org>  Thu,  7 Dec 2006 13:44:03 +0100

xmakemol (5.15-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMUs; closes: #346267, #337468.
  * debian/control (Build-Depends): Replace xlibmesa-gl-dev with
    libgl1-mesa-swx11-dev; closes: #379311.

 -- Michael Banck <mbanck@debian.org>  Tue, 25 Jul 2006 02:10:50 +0200

xmakemol (5.14-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346267).

 -- Luk Claes <luk@debian.org>  Sat,  7 Jan 2006 00:28:41 +0100

xmakemol (5.14-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update xlibmesa build-dep to xlibmesa-gl-dev (Closes: #337468).

 -- Luk Claes <luk@debian.org>  Mon,  2 Jan 2006 18:44:29 +0100

xmakemol (5.14-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_bbox_compile_error.dpatch: Removed, applied
    upstream.
  * debian/patches/00list: Updated.
  * debian/rules: Make configure-stamp depend on patch-stamp instead
    of build-stamp. 

 -- Michael Banck <mbanck@debian.org>  Sat,  8 Jan 2005 02:53:53 +0100

xmakemol (5.13-1) unstable; urgency=low

  * New upstream release
    - Installs all included examples now; closes: #249817
  * debian/control (Build-Depends): Replace lesstif-dev with
    lesstif2-dev; closes: #264204
  * debian/patches/01_bbox_compile_error.dpatch: New file, fixing a
    compile error when building without OpenGL
  * debian/patches/00list: New file 
  * debian/control (Build-Depends): Added dpatch
  * debian/rules: Add support for dpatch

 -- Michael Banck <mbanck@debian.org>  Sat,  7 Aug 2004 22:17:04 +0200

xmakemol (5.12-2) unstable; urgency=low

  * debian/rules (binary-arch): Include all examples from the examples/
    directory. Thanks to Wolfram Quester. 
  * debian/menu (needs, section): Quote the values. Thanks to Wolfram 
    Quester.
  * debian/xmakemol-gl.menu (needs, section): Likewise.

 -- Michael Banck <mbanck@debian.org>  Wed, 19 May 2004 20:34:23 +0200

xmakemol (5.12-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Changed download location to savannah.

 -- Michael Banck <mbanck@debian.org>  Mon, 22 Mar 2004 11:51:50 +0100

xmakemol (5.11-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@debian.org>  Mon, 15 Mar 2004 22:36:24 +0100

xmakemol (5.10-2) unstable; urgency=low

  * debian/control (Build-Depends): Added libglut3-dev; closes: #220590.

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Nov 2003 11:45:59 +0100

xmakemol (5.10-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@debian.org>  Tue,  4 Nov 2003 14:15:22 +0100

xmakemol (5.09-1) unstable; urgency=low

  * New upstream release
  * debian/xmakemol.txt: Removed
  * debian/docs, debian/xmakemol-gl.docs: Include xmakemol.txt 

 -- Michael Banck <mbanck@debian.org>  Sat, 13 Sep 2003 21:57:16 +0200

xmakemol (5.08-1) unstable; urgency=low

  * The 'Oops, forgot about that one'-release 
  * New upstream release
  * debian/copyright: Updated author's email address
  * debian/README.debian: Updated maintainer's email address

 -- Michael Banck <mbanck@debian.org>  Sat,  9 Aug 2003 22:53:39 +0200

xmakemol (5.06-2) unstable; urgency=low

  * Moved menu entries from Math to Science section

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Mar 2003 18:55:08 +0200

xmakemol (5.06-1) unstable; urgency=low

  * New upstream release
  * Removed Emacs-variables from debian/changelog
  * Bumped Standards-Version to 3.5.6.1 

 -- Michael Banck <mbanck@debian.org>  Thu, 12 Sep 2002 18:55:08 +0200

xmakemol (5.05-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@debian.org>  Sun,  7 Jul 2002 20:24:42 +0200

xmakemol (5.04-1) unstable; urgency=low

  * New upstream release
  * Changed Maintainer email address
  * Includes xmake_anim.pl (current CVS version) in /usr/bin now 
    and therefore Suggests: imagemagick and gifsicle

 -- Michael Banck <mbanck@debian.org>  Mon, 27 May 2002 16:51:11 +0200

xmakemol (5.03-2) unstable; urgency=low

  * xmolemol now Suggests: openbabel, which allows converting most
    chemical file types into .xyz so xmakemol can display them 

 -- Michael Banck <mbanck@gmx.net>  Sun,  7 Apr 2002 11:27:21 +0200

xmakemol (5.03-1) unstable; urgency=low

  * New upstream release

 -- Michael Banck <mbanck@gmx.net>  Tue, 19 Feb 2002 21:38:48 +0100

xmakemol (5.02-2) unstable; urgency=low

  * Fixed bounding-box for .eps-export
  * Included fix for crash in file-select widget

 -- Michael Banck <mbanck@gmx.net>  Fri, 21 Dec 2001 01:52:11 +0100

xmakemol (5.02-1) unstable; urgency=low

  * New upstream release
  * xmakemol can now output .fig-files and therefore Suggests: transfig
  * Cleaned up debian/rules a bit
  * Included html documentation from tarball 

 -- Michael Banck <mbanck@gmx.net>  Tue, 13 Nov 2001 01:06:18 +0100

xmakemol (5.01-2) unstable; urgency=low

  * Fixed long description in control file 

 -- Michael Banck <mbanck@gmx.net>  Fri,  9 Nov 2001 18:27:29 +0100

xmakemol (5.01-1) unstable; urgency=low

  * Initial Release; closes: #117663
  * Included an updated elements-file from CVS
  * Added the (somewhat outdated) html-manual as .txt-file from
    http://vegemite.chem.nottingham.ac.uk/~xmakemol/manual/xmakemol.html

 -- Michael Banck <mbanck@gmx.net>  Wed, 31 Oct 2001 20:18:07 +0100

